package mhp.oee.po.gen;

import java.util.Date;

public class ColorLightPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column color_light.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column color_light.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column color_light.DATE_TIME
     *
     * @mbggenerated
     */
    private Date dateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column color_light.COLOR_LIGHT
     *
     * @mbggenerated
     */
    private String colorLight;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column color_light.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column color_light.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column color_light.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column color_light.HANDLE
     *
     * @return the value of color_light.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column color_light.HANDLE
     *
     * @param handle the value for color_light.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column color_light.RESOURCE_BO
     *
     * @return the value of color_light.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column color_light.RESOURCE_BO
     *
     * @param resourceBo the value for color_light.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column color_light.DATE_TIME
     *
     * @return the value of color_light.DATE_TIME
     *
     * @mbggenerated
     */
    public Date getDateTime() {
        return dateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column color_light.DATE_TIME
     *
     * @param dateTime the value for color_light.DATE_TIME
     *
     * @mbggenerated
     */
    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column color_light.COLOR_LIGHT
     *
     * @return the value of color_light.COLOR_LIGHT
     *
     * @mbggenerated
     */
    public String getColorLight() {
        return colorLight;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column color_light.COLOR_LIGHT
     *
     * @param colorLight the value for color_light.COLOR_LIGHT
     *
     * @mbggenerated
     */
    public void setColorLight(String colorLight) {
        this.colorLight = colorLight == null ? null : colorLight.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column color_light.CREATED_DATE_TIME
     *
     * @return the value of color_light.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column color_light.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for color_light.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column color_light.MODIFIED_DATE_TIME
     *
     * @return the value of color_light.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column color_light.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for color_light.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column color_light.MODIFIED_USER
     *
     * @return the value of color_light.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column color_light.MODIFIED_USER
     *
     * @param modifiedUser the value for color_light.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}